---------------------
PatchSet 1154 
Date: 2005/01/01 19:04:39
Author: serassio
Branch: nt
Tag: (none) 
Log:
Refactoring of awin32, added WinDiskThreads DISKIO module

Members: 
	port/win32/Makefile.am:1.2.18.9->1.2.18.10 
	port/win32/libWinDiskThreads/.cvsignore:1.1->1.1.2.1 
	port/win32/libWinDiskThreads/libWinDiskThreads.vcproj:1.1->1.1.2.1 
	port/win32/libawin32/.cvsignore:1.1.18.2->1.1.18.3(DEAD) 
	port/win32/libawin32/libawin32.vcproj:1.1.2.2->1.1.2.3(DEAD) 
	port/win32/squid/squid.vcproj:1.1.2.2->1.1.2.3 

Index: squid3/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/Makefile.am,v
retrieving revision 1.2.18.9
retrieving revision 1.2.18.10
diff -u -r1.2.18.9 -r1.2.18.10
--- squid3/port/win32/Makefile.am	1 Jan 2005 11:14:50 -0000	1.2.18.9
+++ squid3/port/win32/Makefile.am	1 Jan 2005 19:04:39 -0000	1.2.18.10
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.2.18.9 2005/01/01 11:14:50 serassio Exp $
+# $Id: Makefile.am,v 1.2.18.10 2005/01/01 19:04:39 serassio Exp $
 #
 
 EXTRA_DIST = \
@@ -29,7 +29,6 @@
 	ip_user_check/ip_user_check.vcproj \
 	LDAP_auth/LDAP_auth.vcproj \
 	LDAP_group/LDAP_group.vcproj \
-	libawin32/libawin32.vcproj \
 	libbasic/libbasic.vcproj \
     libBlocking/libBlocking.vcproj \
 	libc/libc.vcproj \
@@ -48,6 +47,7 @@
 	libtrie/libtrie.vcproj \
 	libufs/libufs.vcproj \
     libWinAIO/libWinAIO.vcproj \
+    libWinDiskThreads/WinDiskThreads.vcproj \
 	NCSA_auth/NCSA_auth.vcproj \
 	nt_auth/nt_auth.vcproj \
 	ntlm_win32_auth/ntlm_win32_auth.vcproj \
--- /dev/null	Wed Feb 14 13:33:00 2007
+++ squid3/port/win32/libWinDiskThreads/.cvsignore	Wed Feb 14 13:34:04 2007
@@ -0,0 +1,4 @@
+.cvsignore
+Debug
+Release
+*.user
--- /dev/null	Wed Feb 14 13:33:00 2007
+++ squid3/port/win32/libWinDiskThreads/libWinDiskThreads.vcproj	Wed Feb 14 13:34:04 2007
@@ -0,0 +1,195 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8,00"
+	Name="libWinDiskThreads"
+	ProjectGUID="{303568DA-FD43-4B0B-8D7E-090BC9350A64}"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="Debug"
+			IntermediateDirectory="Debug"
+			ConfigurationType="4"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="../../../include,../../../src,../include"
+				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
+				MinimalRebuild="TRUE"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="FALSE"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				OutputFile="$(OutDir)/libWinDiskThreads.lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="Release"
+			IntermediateDirectory="Release"
+			ConfigurationType="4"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="3"
+				AdditionalIncludeDirectories="../../../include,../../../src,../include"
+				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="FALSE"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				OutputFile="$(OutDir)/libWinDiskThreads.lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\..\src\DiskIO\WinDiskThreads\aiops.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\DiskIO\WinDiskThreads\async_io.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\DiskIO\WinDiskThreads\WinDiskThreadsDiskFile.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\DiskIO\WinDiskThreads\WinDiskThreadsIOStrategy.cc"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\..\src\DiskIO\WinDiskThreads\WinDiskThreads.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\DiskIO\WinDiskThreads\WinDiskThreadsDiskFile.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\DiskIO\WinDiskThreads\WinDiskThreadsIOStrategy.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
--- squid3/port/win32/libawin32/.cvsignore	Wed Feb 14 13:34:04 2007
+++ /dev/null	Wed Feb 14 13:33:00 2007
@@ -1,4 +0,0 @@
-.cvsignore
-Debug
-Release
-*.user
--- squid3/port/win32/libawin32/libawin32.vcproj	Wed Feb 14 13:34:04 2007
+++ /dev/null	Wed Feb 14 13:33:00 2007
@@ -1,201 +0,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8,00"
-	Name="libawin32"
-	ProjectGUID="{D1C38556-A454-4B39-9ED7-E8390658F800}"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory=".\Release"
-			IntermediateDirectory=".\Release"
-			ConfigurationType="4"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
-			CharacterSet="2"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="2"
-				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../include,../../../src,../include"
-				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;HAVE_CONFIG_H"
-				StringPooling="TRUE"
-				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="TRUE"
-				RuntimeTypeInfo="TRUE"
-				UsePrecompiledHeader="0"
-				PrecompiledHeaderFile=".\Release/libawin32.pch"
-				AssemblerListingLocation=".\Release/"
-				ObjectFile=".\Release/"
-				ProgramDataBaseFileName=".\Release/"
-				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="NDEBUG"
-				Culture="1040"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				OutputFile=".\Release\libawin32.lib"
-				SuppressStartupBanner="TRUE"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-				SuppressStartupBanner="TRUE"
-				OutputFile=".\Release/libawin32.bsc"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory=".\Debug"
-			IntermediateDirectory=".\Debug"
-			ConfigurationType="4"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
-			CharacterSet="2"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="../../../include,../../../src,../include"
-				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;HAVE_CONFIG_H"
-				MinimalRebuild="TRUE"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="1"
-				RuntimeTypeInfo="TRUE"
-				UsePrecompiledHeader="0"
-				PrecompiledHeaderFile=".\Debug/libawin32.pch"
-				AssemblerListingLocation=".\Debug/"
-				ObjectFile=".\Debug/"
-				ProgramDataBaseFileName=".\Debug/"
-				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
-				DebugInformationFormat="4"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1040"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				OutputFile=".\Debug\libawin32.lib"
-				SuppressStartupBanner="TRUE"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-				SuppressStartupBanner="TRUE"
-				OutputFile=".\Debug/libawin32.bsc"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
-			>
-			<File
-				RelativePath="..\..\..\src\fs\awin32\aiops.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\..\src\fs\awin32\async_io.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\..\src\fs\awin32\store_io_aufs.cc"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl"
-			>
-			<File
-				RelativePath="..\..\..\src\fs\awin32\store_asyncufs.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: squid3/port/win32/squid/squid.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/squid/Attic/squid.vcproj,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/port/win32/squid/squid.vcproj	1 Jan 2005 11:14:57 -0000	1.1.2.2
+++ squid3/port/win32/squid/squid.vcproj	1 Jan 2005 19:04:47 -0000	1.1.2.3
@@ -933,6 +933,10 @@
 				Name="FS Modules"
 				>
 				<File
+					RelativePath="..\..\..\src\fs\awin32\StoreFSawin32.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\..\src\fs\coss\StoreFScoss.cc"
 					>
 				</File>
